Skip to content

# Interface: ConfirmDialogParams

Renderer.Component.ConfirmDialogParams

## Hierarchy

- ConfirmDialogBooleanParams

↳ ConfirmDialogParams

## Table of contents

### Properties

- cancel
- cancelButtonProps
- icon
- labelCancel
- labelOk
- message
- ok
- okButtonProps

## Properties

### cancel

• `Optional` cancel: () => `any`

#### Type declaration

▸ (): `any`

##### Returns

`any`

### cancelButtonProps

• `Optional` cancelButtonProps: `Partial`<ButtonProps>

#### Inherited from

ConfirmDialogBooleanParams.cancelButtonProps

### icon

• `Optional` icon: `ReactNode`

#### Inherited from

ConfirmDialogBooleanParams.icon

### labelCancel

• `Optional` labelCancel: `ReactNode`

#### Inherited from

ConfirmDialogBooleanParams.labelCancel

### labelOk

• `Optional` labelOk: `ReactNode`

#### Inherited from

ConfirmDialogBooleanParams.labelOk

### message

• message: `ReactNode`

#### Inherited from

ConfirmDialogBooleanParams.message

### ok

• `Optional` ok: () => `any`

#### Type declaration

▸ (): `any`

##### Returns

`any`

### okButtonProps

• `Optional` okButtonProps: `Partial`<ButtonProps>

#### Inherited from

ConfirmDialogBooleanParams.okButtonProps